Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161194 - updmap-sys needs to run only in installation
Summary: updmap-sys needs to run only in installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex-font-kerkis
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 09:47 UTC by Sarantis Paskalis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-24 12:19:01 UTC


Attachments (Terms of Use)
patch to enable updmap-sys only when installing (not updating) (deleted)
2005-06-21 09:47 UTC, Sarantis Paskalis
no flags Details | Diff

Description Sarantis Paskalis 2005-06-21 09:47:22 UTC
Description of problem:
During the update of tetex-font-kerkis, the %post scriptlet apears to fail and
the procedure does not remove the old entry from the rpm database.
The %post procedure is an invocation of updmap-sys, which checks the existing
map file updmap.cfg and if kerkis.map is not present (or disabled), the script
adds it (or enables it).

If no changes are necessary (i.e. the map is already present and enabled), the
script exits with a status of 1, stating that no changes are needed.  Its
execution was essentially a noop.  However, rpm receives the exit status of 1
and considers it as a failure notice, aborting any further action.

To remedy this, we just need to invoke updmap-sys only when installing and not
when updating the package.  Patch attached.

Version-Release number of selected component (if applicable):
tetex-font-kerkis-2.0-5.fc4

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Sarantis Paskalis 2005-06-21 09:47:22 UTC
Created attachment 115739 [details]
patch to enable updmap-sys only when installing (not updating)

Comment 2 Michael Schwendt 2005-06-24 12:19:01 UTC
applied in tetex-font-kerkis-2.0-6.fc4



Note You need to log in before you can comment on or make changes to this bug.